Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing
Interface Factory

All Known Subinterfaces:
  AuthorityFactory, CoordinateOperationAuthorityFactory, CoordinateOperationFactory, CRSAuthorityFactory, CRSFactory, CSAuthorityFactory, CSFactory, DatumAuthorityFactory, DatumFactory, MathTransformFactory, ObjectFactory

    @Extension
    public interface Factory

Base interface for all factories. Factories can be grouped in two categories:

- Authority factories creates objects from a compact string defined by an authority.
- Object factories allows applications to make objects that cannot be created by an authority factory. This factory is very flexible, whereas the authority factory is easier to use.

Since:
  GeoAPI 1.0

Method Summary
`Citation` | `getVendor()` Returns the vendor responsible for creating this factory implementation.

Method Detail

### getVendor

    @Extension
    Citation getVendor()

  Returns the vendor responsible for creating this factory implementation. Many implementations may be available for the same factory interface. Implementations are usually managed by a service registry.

  Returns:
    The vendor for this factory implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.